local ADDON_NAME, LWGD = ...

LWGD.MEDIA_FOLDER = "Interface\\addons\\LudwigGoesDown\\media\\targets\\"

local function check_player(name)
    for key, val in pairs(LWGD.Players) do
        if key == name then
            return true, key
        else
            if val.Aliases ~= nil then
                for i, v in pairs(val.Aliases) do
                    if name == v then
                        return true, key
                    end
                end
            end
        end
    end

    return false, nil
end

local function get_sound(name)
    local player = LWGD.Players[name]
    if player ~= nil then
        local soundIndex, array, sound
        local soundCount = table.getn(player.Sounds)
        if soundCount == 0 or soundCount == nil then
            return nil
        end

        soundIndex = math.random(1, soundCount)
        sound = player.Sounds[soundIndex]
        if LWGD.Tools.StringStartsWith(sound, "..") then
            return sound
        else
            return player.Folder .. sound
        end
    else
        -- return a general sound?
        return nil
    end
    return nil
end

LWGD.CheckPlayer = check_player
LWGD.GetSound = get_sound

LWGD.Players = {}

LWGD.Players["Plaffs"]   = { Aliases = {"Plaffers", "Plaffsham"},
                             Sounds = { "Ludwig.mp3" },
                             Folder = "Plaffs/" }

LWGD.Players["Kotah"]    = { Aliases = {"Phonzworth"}, 
                             Sounds = { "Kota2.mp3", "bigpump2.mp3" },
                             Folder = "Kota/"}

LWGD.Players["Jaboli"]   = { Aliases = {"Jabodin", "Jpegboy", "Moneystore" }, 
                             Sounds = {"fuckingshittingme.mp3", "neverbefore.mp3", "whatdidido.mp3", "ressme.mp3", "notankbrain.mp3" },
                             Folder="Jaboli/"}

LWGD.Players["Yámí"]     = { Aliases = {"Chóppér", "Sabishi", "Yukì" },
                             Sounds = {"yamisuchacunt.mp3"}, 
                             Folder="Yami/" }

LWGD.Players["Terratag"] = { Aliases = {"Terrattag", "Terratank", "Teratag" }, 
                             Sounds = {"yalittleshit.mp3","fuckingcunt.mp3","edward.mp3" }, 
                             Folder="Terratag/" }
                        
LWGD.Players["Jäger"]    = { Aliases = {"Jägerdh"},
                             Sounds={"fuckingdonkey.mp3", "leavethejacket.mp3", "unfuckingbelievable.mp3"},
                             Folder="Jager/"}

LWGD.Players["Holýcow"] =  { Aliases = {"Firecow","Restócow","Furycow",},
                             Sounds = {"fuckinghatethisboss.mp3"},
                             Folder= "Holycow/"}

LWGD.Players["Water"] =    { Aliases = {},
                             Sounds = {"waterdrop.mp3"},
                             Folder= "Water/"}
LWGD.Players["Pugluz"] =    { Aliases = {"Ugluz"},
                             Sounds = {"wannabeclear.mp3", "justplaygood.mp3"},
                             Folder = "Ugluz/"}

LWGD.Sounds = {}
LWGD.Sounds.GENERAL = {"lawnmower.mp3"}

LWGD.Sounds.CANCEL = "jabs_cancel.mp3"
LWGD.Sounds.PULL = "jabs_pull.mp3"